%define module aufs
%define cvsvers 20070430
%define version 0.0.1
%define release	%mkrel 0.%cvsvers.1

Summary: Aufs Stackable Unification File System
Name: %{module}
Version: %{version}
Release: %{release}
Source0: %{name}-%{cvsvers}.tar.bz2
#diable debug and enable ksize support
Patch0: aufs_makefile.patch
License: GPL
Group: System/Kernel and hardware
URL: http://aufs.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires(post): dkms
Requires(preun): dkms

%description
Aufs is a stackable unification filesystem such as Unionfs, which unifies several
directories and provides a merged single directory. In the early days, aufs was
entirely re-designed and re-implemented Unionfs Version 1.x series. After many
original ideas, approaches and improvements, it becomes totally different from 
Unionfs while keeping the basic features. See Unionfs Version 1.x series for the
basic features.

%package -n dkms-%{name}
Group: System/Kernel and hardware
Summary: Dkms module for the aufs module
%description -n dkms-%{name}
Aufs Stackable Unification File System.
This package contains the %{name} kernel module.

%package -n %{name}-utils
Group: System/Kernel and hardware
Summary: Utils to maintain the %{name} file system.
%description -n %{name}-utils
Aufs is a stackable unification filesystem such as Unionfs, which unifies several
directories and provides a merged single directory. In the early days, aufs was
entirely re-designed and re-implemented Unionfs Version 1.x series. After many
original ideas, approaches and improvements, it becomes totally different from 
Unionfs while keeping the basic features. See Unionfs Version 1.x series for the
basic features.

%prep
%setup -q -n %{name}
%patch0 -p0

%build
make -f local.mk

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_sbindir}
install -d %{buildroot}%{_mandir}/man5
install -m755 -p mount.aufs umount.aufs auplink aulchown %{buildroot}/%{_sbindir}
install -m0644 %{name}.5 %{buildroot}/%{_mandir}/man5

#clean in preparation for dkms
make -f local.mk clean

mkdir -p %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}
cp -a * %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}

#do some more dkms source cleaning
for i in sample sflogo.html README COPYING History *.patch; do
	rm -rf %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/$i
done

cat > %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/dkms.conf <<EOF

PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{module}"
MAKE="make -f local.mk"
CLEAN="make -f local.mk clean"
BUILT_MODULE_NAME="\$PACKAGE_NAME"
DEST_MODULE_LOCATION="/kernel/3rdparty/%{name}/"
REMAKE_INITRD="no"
AUTOINSTALL="YES"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files -n dkms-%{name}
%defattr(-,root,root)
%attr(0755,root,root) /usr/src/%{module}-%{version}-%{release}/

%files -n %{name}-utils
%defattr(-,root,root)
%doc README COPYING History
%{_sbindir}/*
%{_mandir}/man?/*

%post -n dkms-%{name}
/usr/sbin/dkms --rpm_safe_upgrade add -m %{module} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade build -m %{module} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade install -m %{module} -v %{version}-%{release}

%preun -n dkms-%{name}
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{module} -v %{version}-%{release} --all

%changelog
* Sat May 05 2006 ocilent1 <ocilent1 at gmail dot com> 0.0.1-0.20070430.1pclos2007
- Build for PCLinuxOS 2007

